Last Comment Bug 546713 - (opentochoice-l10n) [tracking] Localize "opentochoice.org" Marketing Campaign
(opentochoice-l10n)
: [tracking] Localize "opentochoice.org" Marketing Campaign
Status: RESOLVED FIXED
:
Product: Core Graveyard
Classification: Graveyard
Component: Tracking (show other bugs)
: unspecified
: All All
: -- normal (vote)
: ---
Assigned To: Nobody; OK to take it and work on it
: chris hofmann
Mentors:
http://viewvc.svn.mozilla.org/vc/proj...
Depends on: 546720 546721 546723 546724 546725 546761 546791 546850 547116 547377 547378 547379 547380 547382 547383 547385 547386 547387 547500 547590 547592 547742 547743 547744 547746 547885 547893 548339 548860 548868 548872 548873 548874 548875 548876 548877 548878 548879 548880 548881 548882 548886 548887 548888 548889 548890 548891 548892 548893 548894 548895 548896 548897 548898 548997 548998 548999 549000 549001 549002 549003 549004 549005 549006 549007 549008 549009 549057 549059 549230 549231 549232 549338 549667 549879 550177 555357 555358 555359 555360 555361 555362 555363 555364 555365 555366 555367 555369 555370 555371 555372 555373 555374 555375 555376 555377 555378 555379 555380 555381 555382 555383 557803 560508
Blocks:
  Show dependency treegraph
 
Reported: 2010-02-17 11:56 PST by Seth Bindernagel
Modified: 2016-07-15 12:13 PDT (History)
11 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
opentochoice.pot v0.5 A (4.10 KB, text/plain)
2010-02-21 18:03 PST, Staś Małolepszy :stas
no flags Details
opentochoice.pot v0.5 B (4.02 KB, text/plain)
2010-02-22 13:12 PST, Staś Małolepszy :stas
no flags Details

Description Seth Bindernagel 2010-02-17 11:56:50 PST
This is a tracking bug filed both to present all open l10n tasks for the "Open To Choose" campaign that will accompany the EU Ballot Screen project currently being localized as browserchoice.mozilla.org.

*Background*  

The European Commission has ruled that users of a Windows PC in Europe who are still browsing the Web with IE browser will see a Browser Choice screen to make an active choice for a new browser.  

In conjunction with the settlement and the "ballot screen" and the "browserchoice.mozilla.org" (See bug 537227) projects, Mozilla's Marketing community will launch the "Open To Choose" campaign to promote further awareness about the choice users have.  The campaign will function primarily as a blogging campaign on a new Mozilla website.

*Initial work*  

The initial localization work will be translating a letter from Mozilla Chief Lizard Wrangler, Mitchell Baker, and Mozilla CEO, John Lilly that will be included on the front-page of the site.  After the letter is translated, a Wordpress site will be launched and the letter will be used as the initial content for the launch.  

The site will be a new Mozilla WP theme and eventually will contain more content. Localizers will be able to use the WPML Plugin to translate the theme and content posted on the blog...and even post their own content if they choose.  The l10n-drivers have done an initial test on the WPML plugin (http://wpml.org/).  

More information will be posted in this bug as the campaign develops.

*Target Locales*

We will start with 5 locales to translate the letter:  de, es, fr, it, and pl.  We will then start an opt-in thread on the dev-l10n newsgroup for other locales who choose to participate.
Comment 1 George Fiotakis 2010-02-18 13:02:47 PST
i think that "Europe" in "...if you're using a Windows PC in Europe and you're still using the default Web browser..." should be replaced by "Europian Union" since there's a few countries in Europe that will not have the ballot screen.
Comment 2 George Fiotakis 2010-02-18 14:23:19 PST
Another one that i think needs attention: We should use the same wording for the title of the "browser choice" screen that Microsoft will decide to use for each locale. Will  we get get that information soon enough or should we translate it for the time being and change it later?
Comment 3 Seth Bindernagel 2010-02-18 16:38:56 PST
(In reply to comment #1)
> i think that "Europe" in "...if you're using a Windows PC in Europe and you're
> still using the default Web browser..." should be replaced by "Europian Union"
> since there's a few countries in Europe that will not have the ballot screen.

Good point here, but actually, there are a few countries *not* in the European Union who will see the ballot screen.  So, European Union is also not completely correct.  In fact, when I introduced the project on the web l10n newsgroup, I had to write "If your locale is part of the EU plus Norway, Swtizerland, Iceland and Croatia..."

Not quite sure what the best solution here is, but I can assure you that Mitchell and John mulled over this wording.  In this case, I would recommend leaving it.  Thoughts?  Happy to accept further rationale to change it.
Comment 4 Seth Bindernagel 2010-02-18 16:39:45 PST
(In reply to comment #2)
> Another one that i think needs attention: We should use the same wording for
> the title of the "browser choice" screen that Microsoft will decide to use for
> each locale. Will  we get get that information soon enough or should we
> translate it for the time being and change it later?

We have not see that yet, to my knowledge.  But, Patrick Finch, who is copied on this bug would know.  Patrick?
Comment 5 Patrick Finch 2010-02-19 00:39:46 PST
(In reply to comment #4)
> (In reply to comment #2)
> > Another one that i think needs attention: We should use the same wording for
> > the title of the "browser choice" screen that Microsoft will decide to use for
> > each locale. Will  we get get that information soon enough or should we
> > translate it for the time being and change it later?
> 
> We have not see that yet, to my knowledge.  But, Patrick Finch, who is copied
> on this bug would know.  Patrick?

We will see the screen for the first time at http://www.browserchoice.eu around 9pm CET today, Friday 19th.  ...but I write this, I just saw this blog which contains the text in en-GB:

http://microsoftontheissues.com/cs/blogs/mscorp/archive/2010/02/19/the-browser-choice-screen-for-europe-what-to-expect-when-to-expect-it.aspx


so now we know!
Comment 6 George Fiotakis 2010-02-21 17:56:54 PST
There's a couple of string additions that need localizer's love - for those of us who have not yet noticed:
"I've just read Mozilla's open letter on the importance of choosing your Web browser."
" Mozilla's open letter on the importance of Web browser choice "
(twitter & facebook messages)
" %1$s - %2$s "
(1$s=Date and 2$s=Time of comments)
Plus, the date (jS F, Y) and time(g:i a) formats have been updated
Comment 7 Staś Małolepszy :stas 2010-02-21 18:00:47 PST
Thanks George for posting this update.

(In reply to comment #6)
> Plus, the date (jS F, Y) and time(g:i a) formats have been updated

You can find the explanations of the formatting symbols at http://pl2.php.net/manual/en/function.date.php
Comment 8 Staś Małolepszy :stas 2010-02-21 18:03:47 PST
Created attachment 428120 [details]
opentochoice.pot v0.5 A

For reference, I'm attaching a POT file with current localizable strings.

However:

Please don't upload .po files through the Wordpress interface, it's very easy
to break stuff this way. Or if you really have to, please ping me on IRC first
:)

Please either use the web panel at
http://opentochoice.stage.mozilla.com/wp-admin/admin.php?page=sitepress-multilingual-cms/menu/string-translation.php
or attach the PO file to your locale's bug. 

Thanks.
Comment 9 Staś Małolepszy :stas 2010-02-22 13:03:56 PST
Hey all,

We had a last-minute change to the privacy policy checkbox string due to legal reasons. r62957 has the change and bug 547705 has more details.

The old string was:

Mozilla will only use your email address if you want to hear (1) more about
choice and/or (2) more from Mozilla. We will not share your email address with
any other organization or individual. For more information see the Mozilla
privacy policy.

The new one is:

I agree to the terms of the Mozilla Privacy Policy. Mozilla will only use your
email address if you want to hear (1) more about choice and/or (2) more from
Mozilla.

The new string adds one sentence ("I agree to the terms of the Mozilla Privacy Policy.") and removes one.

We had a very similar sentence on the 5 years of Firefox campaign site, so I'll try to reuse that. But, if you have a chance to fix that yourself, that's obviously better :)

Really very sorry for the last-minuteness.
Comment 10 Staś Małolepszy :stas 2010-02-22 13:12:16 PST
Created attachment 428278 [details]
opentochoice.pot v0.5 B

Here's a new version of the reference file, with all recent string changes. New locales: please use this one.
Comment 11 Staś Małolepszy :stas 2010-02-22 13:37:10 PST
I have updated the following locales manually, taking the new sentence from http://www.spreadfirefox.com/5years/. Also remove the obsolete sentences.

fr, de, it, es, sq, el, pl.

Please please check if what I did makes sense :)

cs was already fixed by Pavel. I also pinged Bogo in bug 547743.
Comment 12 Staś Małolepszy :stas 2010-02-22 17:18:49 PST
All,

I disabled your accounts on stage as we're moving to production. You will soon receive an email from me with a new password that you will be able to use to log-in to the admin panel on the production website.

Thanks.
Comment 13 Staś Małolepszy :stas 2010-02-22 20:01:34 PST
Comment on attachment 428278 [details]
opentochoice.pot v0.5 B

OK, no more attachments :)

From now on, please use http://viewvc.svn.mozilla.org/vc/projects/choice/trunk/wp-content/themes/mozilla_choice/l10n/choice.pot?content-type=text%2Fplain&view=co
Comment 14 Staś Małolepszy :stas 2010-02-22 20:05:48 PST
There was one last small string addition tonight. We added a language switcher in the sidebar with a title that says "choose your voice" (which is to say, chose your language).

For this string, I used translation of "choose your language" from the 5years campaign site. Two locales missing it were cs and bg.

Please review this string and if you wish to change it, please comment in your bug. We've disabled localizers' account for now on stage, as we're migrating the content to production.

Thanks!
Comment 15 Staś Małolepszy :stas 2010-02-22 20:45:55 PST
Guys and gals--we did it. opentochoice.org is live :)

Thanks to all of you who worked on the localization of this project regardless of a very short timeframe. It's an important step towards better Web so let's all celebrate this moment.

There are still some open issues, please see your bugs or comments above. Or ping me on IRC if you're not sure. But in any case: congrats!

Always a pleasure to work with you.

-stas
Comment 16 Jane Finette 2010-02-22 20:56:40 PST
I know we are not quite there.. but.. 

Oh my goodness guys -- thank you so so much. I truly have tears in my eyes. I'm so grateful for all the hard work and so very proud of what we are accomplishing together. Huge heartfelt thanks. 

Jane
Comment 17 Staś Małolepszy :stas 2010-02-23 16:02:44 PST
Hey all.

We're working on a couple of changes to the opentochoice.org website that we're planning to push live next week. Things like categories, a background story of the ballot etc. I will have much more information about this tomorrow, and I'll share as soon as it's available to me. (You can already see some changes on http://opentochoice.stage.mozilla.com/ which are targeted at this new version of the site.)

To make it possible to work on the codebase in trunk (i.e. stage), we had do make a couple of changes to the l10n process.

From now on, please use the production wp-admin panel to update posts and theme translations. You can find it at https://opentochoice.org/wp-admin/. Please note that this is *the* Wordpress installation that powers opentochoice.org, so please be careful. With great power comes great responsibility :)

Please note that you will no longer be able to log in to the staging wp-admin panel, which has been done on purpose. We will re-enable your access there once the new content is ready and available on stage. This will most likely happen before this weekend.

If you can no longer log in to https://opentochoice.org/wp-admin/, please let me know in your locale's bug, on IRC or via e-mail. We had to re-import the DB at some point and we lost a couple of accounts in the process. Sorry for the inconvenience.

-stas
Comment 18 Staś Małolepszy :stas 2010-02-25 11:06:20 PST
A quick update about the planned update :)

I've seen the new content and I'll be working on putting it into the Wordpress admin panel tonight, so that starting tomorrow morning (hopefully!) you'll be able to log in and translate.

What is now live at opentochoice.org and what you translated a couple of days ago is what we call "0.5" version of the site. We decided to split the development of the website into versions, so that we can push it live earlier. This is because originally the ballot was scheduled to go live on March 17th, but its deployment was advanced by 3 weeks...

Version 1.0 has been designed as a full-featured website for this campaign, with upcoming blog posts, background story of the ballot and a couple of cool assets (like posters and flyers) for the community.

Right now we're looking at about 1500-1700 words, i.e. 5 pages of new text. We'll try to get as much done as possible before the ballot goes live on Tuesday, March 2nd. 

I'm going to comment here again when I know more. Talk to you soon, it's going to be an interesting and exciting weekend! :)

Best,
-stas
Comment 19 Staś Małolepszy :stas 2010-02-26 13:33:39 PST
Hey guys,

You've probably already seen a couple of bugs Pascal and I filed for the next week's update. Please find your bug in the list of dependencies of this bug.

There's one bug about theme translation (a dozen of new string only) and another one about category names and descriptions. 

Please try to fix them by Tuesday, March 2nd.

I'm working on preparing the blog posts content now, I'll comment shortly with instructions about that.

Thanks!
Comment 20 Staś Małolepszy :stas 2010-02-26 16:20:08 PST
(In reply to comment #19)
 
> I'm working on preparing the blog posts content now, I'll comment shortly with
> instructions about that.

I'm going to file per-locale for the localization of the blog posts now.

The whole content planned for the launch on Tuesday, March 2, has approximately 2,000 words (5-6 pages). But, the good news is that 440 words out of these 2,000 is the open letter, which you already translated! :) So that leave us with 1,500 words. That's pretty good! :)

I created the following spreadsheet to track progress of the content translation:

http://spreadsheets.google.com/pub?key=tl82CrQAScbQcFLEA7FhnMQ&output=html

Please log in to the production site's admin panel at https://opentochoice.org/wp-admin/edit.php and start translating by clicking the small "+" signs next to each post. You can use the per-locale content bugs to communicate with other team members or share questions and comments. Please _do not_ assign any categories nor tags for now.

Thanks in advance and good luck!

-stas
Comment 21 George Fiotakis 2010-02-26 17:04:23 PST
Looking at v1.0 on stage i noticed that the site is using css to turn some of the strings to lower case.
Although grammatically that's not right, it doesn't look that bad so i'd like to hear the opinions of other localizers before i file a bug on it.
So, do you guys believe it can remain like that?
Comment 22 Pascal Chevrel:pascalc 2010-02-27 08:36:31 PST
for French I would prefer strings not to be converted to lowercase, it doesn't look so good in my language actually :)
Comment 23 Rubén Martín [:Nukeador] 2010-02-27 10:21:17 PST
(In reply to comment #22)
> for French I would prefer strings not to be converted to lowercase, it doesn't
> look so good in my language actually :)

Same for Spanish.
Comment 24 Pavel Cvrcek [:JasnaPaka] 2010-02-27 12:56:22 PST
In one post I see "become a browser choice watcher". Can someone describe what this position means? I don't know how to translate it. Thanks.
Comment 25 Mary 2010-02-27 15:08:37 PST
Hi Pavel:  Sorry about that :)  The idea is that you'll help us identify when the browser choice screen starts appearing in your country.

This survey should give you more background: 
http://www.surveygizmo.com/s/248434/open-to-choice


Thanks!
Comment 26 Pascal Chevrel:pascalc 2010-03-01 14:10:32 PST
Information about poster/flyer posts:

Regarding the poster and flyer posts to translate, the post itself is merely and image tag, what you have to translate is the "custom field" (below the post) called "notes", so basically you have to add this field first.
Comment 27 Staś Małolepszy :stas 2010-03-01 14:27:32 PST
Hey all. Another quick update:

We will be going live on Wednesday morning in Europe, which gives us another day to do the translation work. Hurray! :)
Comment 28 Staś Małolepszy :stas 2010-03-01 17:36:29 PST
And one more update: we now have a second staging server :) It has the new theme, which you know from stage1 (but without your 0.75->1.0 translations) and the 1.0 content. It was created primarily for QA purposes.

Just to re-cap, we now have:

production
    http://opentochoice.org (for content l10n) 
stage 1
    http://opentochoice.stage.mozilla.com (for theme l10n) 
stage 2
    http://opentochoice2.stage.mozilla.com (for QA) 

Please consult https://wiki.mozilla.org/L10n:Opentochoice.org for more information.

Best,
Staś
Comment 29 Staś Małolepszy :stas 2010-03-02 11:46:50 PST
Nukeador asked (bug 549002 comment 3)

"we will need a way to change all link in the articles to point to the Spanish ones and the same for all the images used. How or who is going to handle this?"

For links to posts you can:

* go to the Edit view of the post in your language and see what the "slug" (permalink) is and use that, or
* use the English slug but with your locale code in the permalink.

So for example, these URLs are the same:

http://opentochoice.org/es/2010/02/la-eleccion-del-navegador-web-importa/
http://opentochoice.org/es/la-eleccion-del-navegador-web-importa/
http://opentochoice.org/es/web-browser-choice-matters/ (note /es/)


For categories (browsers (previously "about browser choice"), the facts, get involved, press centre, contact us and learn more), it's best to use the English slug with your locale, for example:

http://opentochoice.org/es/category/browsers
http://opentochoice.org/es/category/the-facts
http://opentochoice.org/es/category/get-involved
http://opentochoice.org/es/category/press-centre
http://opentochoice.org/es/category/contact-us
http://opentochoice.org/es/category/learn-more

HTH,
stas
Comment 30 Staś Małolepszy :stas 2010-03-02 14:08:26 PST
For all of you who have translated the category names and are still up :)

Could you go to https://opentochoice.org/wp-admin/edit.php and categorize your translations based on the categories assigned to the original posts in English?

I'll try to do that later tonight, but any help would be welcome :)

TIA.
Comment 31 Staś Małolepszy :stas 2010-03-02 16:22:08 PST
Sorry, I got those URL wrong in comment 29. These two should work:

http://opentochoice.org/es/2010/02/la-eleccion-del-navegador-web-importa/
http://opentochoice.org/es/2010/02/web-browser-choice-matters/ (note /es/)
Comment 32 Staś Małolepszy :stas 2010-03-02 22:43:46 PST
All,

Just wanted to let you know that http://opentochoice.org/ is live :) The official launch is planned for Wednesday, noon CET (that's in 4,5 hours!)

You should be able to access https://opentochoice.org/wp-admin/ and edit posts and theme strings. Please forget about the staging server(s) :) -- we're finally working on the same database as the live site.

Which also brings me to a "please note" section :) All you do will be immediately visible on the live, production website. So please be careful and check twice before deleting that paragraph from your translation :)

If you have a moment today, please try to see if all your posts show up in the right categories and if the links point to localized pages.

Thanks (and woo-hoo!)

-stas
Comment 33 Staś Małolepszy :stas 2010-03-04 06:06:13 PST
We have one more string that needs you love :)

It's "download" on get-involved, and the bug is bug 550177.

Thanks!
Comment 34 Ricardo Maçãs [:Ricmacas] 2010-04-07 06:46:36 PDT
I'm opening a PT bug.
Comment 35 Pascal Chevrel:pascalc 2011-07-04 04:58:43 PDT
Campaign finiwhed last year, the site is now retired, thanks guys

http://blog.mozilla.com/website-archive/2010/12/08/open-to-choice/

Note You need to log in before you can comment on or make changes to this bug.